Create Smart Link Postback
Create a postback that fires for selected Smart Link conversion types
Authorization
default Get your API Key from OnlyFansAPI Console - https://app.onlyfansapi.com/api-keys
In: header
Request Body
application/json
The destination URL. Variables such as {external_click_id}, {fbclid}, {gclid}, and {ttclid} are replaced when the postback is dispatched.
HTTP method used for the postback request. Defaults to GET when omitted.
"GET" | "POST"Optional request body template for POST postbacks. Variables are replaced when the postback is dispatched.
Optional request headers. Header values may include postback variables.
global fires for all Smart Links. campaign_specific fires only for selected Smart Links.
"global" | "campaign_specific"One or more Smart Link conversion types that should trigger this postback.
Smart Link ULIDs. Required when smart_link_scope is campaign_specific.
Response Body
application/json
curl -X POST "https://app.onlyfansapi.com/api/smart-link-postbacks" \ -H "Content-Type: application/json" \ -d '{ "url": "https://example.com/postback?click={external_click_id}&type={conversion_type}&gclid={gclid}", "smart_link_scope": "campaign_specific", "conversion_types": [ "new_subscriber", "new_transaction" ] }'{
"data": {
"id": 123,
"url": "https://example.com/postback?click={click_id}&type={conversion_type}&gclid={gclid}",
"http_method": "POST",
"body": "{\"click_id\":\"{click_id}\",\"value\":\"{amount_gross}\"}",
"headers": [
{
"name": "Authorization",
"value": "Bearer token"
}
],
"smart_link_scope": "global",
"conversion_types": [
"new_subscriber",
"new_transaction"
],
"smart_link_ids": [],
"smart_links": [],
"latest_response": null,
"created_at": "2026-01-31T21:45:00+00:00",
"updated_at": "2026-01-31T21:45:00+00:00"
},
"_meta": {
"_credits": {
"used": 0,
"balance": 999999,
"note": "Free endpoint"
},
"_cache": {
"is_cached": false,
"note": "Cache disabled for this endpoint"
}
}
}